version: '3.7'

services: 
  frontend:
    container_name: qbc_frontend
    build: 
      context: ./frontend
    ports: 
      - "8080:80"
    depends_on: 
      - backend

  backend:
    container_name: qbc_backend
    restart: always
    build:
      context: ./backend
    ports:
      - "5000:5000"
    depends_on: 
      - db

  db:
    container_name: qbc_database
    restart: always
    build: 
      context: ./sql
    volumes: 
      - "qbc-db-data:/var/lib/mysql"
    environment:
      MYSQL_DATABASE: geotime
      MYSQL_ROOT_PASSWORD: supersecure

volumes:
  qbc-db-data: